class ApplicationController < ActionController::Base
  # Prevent CSRF attacks by raising an exception.
  # For APIs, you may want to use :null_session instead.
  protect_from_forgery with: :exception

  def is_user_logged?
    session[:user_id] ? true : false
  end

  def current_user
    @current_user ||= User.find(session[:user_id]) if is_user_logged?
  end

  def current_user_type
    is_user_logged? ? current_user.user_type.value : 0
  end

  def is_user_customer?
    is_user_logged? ? (current_user_type > 0 ? true : false) : false
  end

  def is_user_employee?
    is_user_logged? ? (current_user_type > 1 ? true : false) : false
  end

  def is_user_admin?
    is_user_logged? ? (current_user_type > 2 ? true : false) : false
  end
  helper_method :current_user, :is_user_customer?, :is_user_employee?, :is_user_admin?

  def authorize
    redirect_to '/login' unless current_user
  end

  def messaging_service
    MESSAGING_SERVICE
  end
end
