class BannersController < ApplicationController

  def index
    @banners = Banner.all
  end

  def show
    @banner = Banner.find(params[:id])
  end

  def new
    @banner = Banner.new
  end

  def destroy
    @banner = Banner.find(params[:id])
    @banner.destroy
    message = "Banner deleted successfully"
    flash[:success] = message
    redirect_to banners_path
  end

  def edit
    @banner = Banner.find(params[:id])
  end

  def create
    @banner = Banner.new(banner_params)
    if @banner.save
      message = "Banner created successfully"
      flash[:success] = message
      redirect_to @banner
    else
      render 'new'
    end
  end

  def update
    @banner = Banner.find(params[:id])
    if @banner.update(banner_params)
      message = "Banner updated successfully"
      flash[:success] = message
      redirect_to @banner
    else
      flash[:danger] = "Unable to update"
      render 'edit'
    end
  end

  private
  def banner_params
    params.require(:banner).permit(:name, :link, :image, :description)
  end
end
