class FormatsController < ApplicationController
  def index
    @formats = Format.all
  end

  def show
    @format = Format.find(params[:id])
  end

  def new
    @format = Format.new
  end

  def destroy
    @format = Format.find(params[:id])
    @format.destroy
    redirect_to formats_path
  end
  
  def edit
    @format = Format.find(params[:id])
  end

  def create
    @format = Format.new(format_params)
    if @format.save
      redirect_to @format
    else
      render 'edit'
    end 
  end

  def update
    @format = Format.find(params[:id])
    if @format.update(format_params)
      redirect_to @format
    else
      render 'edit'
    end
  end
  
  private 
  def format_params 
    params.require(:format).permit(:name) 
  end
end
