class OrderProductsController < ApplicationController
  include CurrentOrder
  before_action :set_order, only: [:create]
  before_action :set_order_product, only: [:show, :edit, :update, :destroy]

  # GET /order_products
  # GET /order_products.json
  def index
    @order_products = OrderProduct.all
  end

  # GET /order_products/1
  # GET /order_products/1.json
  def show
  end

  # GET /order_products/new
  def new
    @order_product = OrderProduct.new
  end

  # GET /order_products/1/edit
  def edit
  end

  # POST /order_products
  # POST /order_products.json
  # TO DO REFACTOR!!!! SMELLS!!
  def create
    product = Product.find(params[:product_id])
    pr = @order.order_products.where(product_id: params[:product_id])
    if pr.present?
      pr.update_all( quantity: pr.first.quantity + params[:quantity].to_i )
      message = "#{product.name} successfully added to cart"
      flash[:success] = message
    else
      @order_product = @order.order_products.build(
        product: product, quantity: params[:quantity], price: product.price)
      if @order_product.save
        message = "#{product.name} successfully added to cart"
        flash[:success] = message
      else
        message = "Unable to add #{product.name} to cart"
        flash[:danger] = message
      end
    end
    redirect_to :back
  end

  # PATCH/PUT /order_products/1
  # PATCH/PUT /order_products/1.json
  def update
    respond_to do |format|
      if @order_product.update(order_product_params)
        format.html { redirect_to @order_product, notice: 'Order product was successfully updated.' }
        format.json { render :show, status: :ok, location: @order_product }
      else
        format.html { render :edit }
        format.json { render json: @order_product.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /order_products/1
  # DELETE /order_products/1.json
  def destroy
    OrderProduct.where(order_id: params[:id], product_id: params[:product_id]).destroy_all
    message = "Product successfully removed from the order"
    flash[:success] = message
    redirect_to :back
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_order_product
      @order_product = OrderProduct.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def order_product_params
      params.require(:order_product).permit(:product_id, :quantity, :order_id)
    end
end
