 class SessionsController < ApplicationController

  def new
  end

  def create
    user = User.find_by_email(params[:email])
    # If the user exists AND the password entered is correct.
    if user && user.authenticate(params[:password])
      # Save the user id inside the browser cookie. This is how we keep the user
      # logged in when they navigate around our website.

      # reset order
      new_order = Order.create
      session[:order_id] = new_order.id

      session[:user_id] = user.id
      message = "Welcome #{user.name} !"
      flash[:success] = message
      redirect_to '/'
    else
    # If user's login doesn't work, send them back to the login form.
      message = "Wrong username or password"
      flash[:danger] = message
      redirect_to '/login'
    end
  end

  def destroy
    session[:user_id] = nil
    redirect_to '/login'
  end
end
