class ShopsController < ApplicationController

  def index
    @shops = Shop.all
  end

  def show
    @shop = Shop.find(params[:id])
  end

  def new
    @shop = Shop.new
  end

  def destroy
    @shop = Shop.find(params[:id])
    @shop.destroy
    message = "Shop deleted successfully"
    flash[:success] = message
    redirect_to shops_path
  end

  def edit
    @shop = Shop.find(params[:id])
  end

  def create
    @shop = Shop.new(shop_params)
    if @shop.save
      message = "Shop created successfully"
      flash[:success] = message
      redirect_to @shop
    else
      flash[:danger] = "Unable to create"
      render 'new'
    end
  end

  def update
    @shop = Shop.find(params[:id])
    if @shop.update(shop_params)
      message = "Shop updated successfully"
      flash[:success] = message
      redirect_to @shop
    else
      flash[:danger] = "Unable to update"
      render 'edit'
    end
  end

  private
  def shop_params
    params.require(:shop).permit(:name, :address, :city, :telephone)
  end
end
