class OrderNotifier < ApplicationMailer
  # Subject can be set in your I18n file at config/locales/en.yml
  # with the following lookup:
  #
  #   en.order_notifier.received.subject
  #
  def received(order)
    @order = order

    mail to: @order.user.email, subject: "Order received", from: "Take Away App"
  end

  # Subject can be set in your I18n file at config/locales/en.yml
  # with the following lookup:
  #
  #   en.order_notifier.shipped.subject
  #
  def shipped(order)
    @order = order

    if order.payment_type_id == 2
      mail to: @order.user.email, subject: "Your order is ready to be collected", from: "Take Away App"
    else
      mail to: @order.user.email, subject: "Your order is on its way", from: "Take Away App"
    end
  end
end
