class Payment < ActiveRecord::Base
  validates :amount,
            :cardholder,
            :card_number,
            :card_expiration_month,
            :card_expiration_year,
            :card_security_code,
            presence: true

  validates :card_number, length: {minimum: 16, maximum: 19}, allow_blank: false
  validates :card_expiration_month, length: {minimum: 1, maximum: 2}, allow_blank: false
  validates :card_expiration_year, length: {minimum: 2, maximum: 4}, allow_blank: false
  validates :card_security_code, length: {is: 3}, allow_blank: false
  validates_numericality_of :card_number, :card_expiration_month, :card_expiration_year, only_integer: true, allow_blank: false
end
