class Product < ActiveRecord::Base
  has_and_belongs_to_many :categories
  has_and_belongs_to_many :formats
  
  has_many :order_products
  has_many :orders, :through => :order_products
  
  has_attached_file :photo, :styles => { :small => "150x150#", :micro => "60x60#" },
                    :url  => "/assets/products/:id/:style/:basename.:extension",
                    :path => ":rails_root/public/assets/products/:id/:style/:basename.:extension",
                    :default_url => "/assets/images/:style/missing.png"

	#validates_attachment_presence :photo
	validates_attachment_size :photo, :less_than => 5.megabytes
	validates_attachment_content_type :photo, :content_type => ['image/jpeg', 'image/png']

  validates_presence_of :name, :price, :description, :category_ids

  enum status: %w(draft active new_arrival featured)

  def first_category
    categories.first
  end
end
