class User < ActiveRecord::Base
	belongs_to :user_type

	validates_presence_of :name, :surname, :password_digest
	# validates_length_of :password_digest, :within => 6..40
  validates :password, presence: true, length: { minimum: 6 }
  validates :password_confirmation, presence: true

	validates_presence_of :email
  validates_uniqueness_of :email
  # validates_format_of :email, :with => /^[\w\._+%-]+@[\w\.-]+\.[a-zA-Z]{2,6}$/

  has_secure_password

	def full_name
		name + ' ' + surname
	end
end
