# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rake db:seed (or created alongside the db with db:setup).
#
# Examples:
#
#   cities = City.create([{ name: 'Chicago' }, { name: 'Copenhagen' }])
#   Mayor.create(name: 'Emanuel', city: cities.first)

#p1 = Product.create(
#  name: 'Product 1',
#  price: 11.1,
#  description: 'Description of the Product 1'
#)

category_starters = Category.create(
  name: 'Starters'
)
category_mains = Category.create(
  name: 'Mains'
)
category_desserts = Category.create(
  name: 'Desserts'
)
category_drinks = Category.create(
  name: 'Drinks'
)

format_units = Format.create(
  name: 'Units'
)
format_portions = Format.create(
  name: 'Portions',
)

user_type_customer = UserType.create(
  name: 'customer',
  value: 1,
)
user_type_employee = UserType.create(
  name: 'employee',
  value: 2,
)
user_type_admin = UserType.create(
  name: 'admin',
  value: 3,
)

User.create(
  name: 'Customer',
  surname: 'Doe',
  email: 'customer@customer.com',
  address: '15 1F2 Cumberland Street',
  city: 'Edinburgh',
  region: 'Edinburgh',
  postcode: 'EH3 6RT',
  password: 'customer1010',
  user_type_id: user_type_customer.value
)
User.create(
  name: 'Employee',
  surname: 'Doe',
  email: 'employee@employee.com',
  address: '15 1F2 Cumberland Street',
  city: 'Edinburgh',
  region: 'Edinburgh',
  postcode: 'EH3 6RT',
  password: 'employee1010',
  user_type_id: user_type_employee.value
)
User.create(
  name: 'Admin',
  surname: 'Doe',
  email: 'admin@admin.com',
  address: '15 1F2 Cumberland Street',
  city: 'Edinburgh',
  region: 'Edinburgh',
  postcode: 'EH3 6RT',
  password: 'admin1010',
  user_type_id: user_type_admin.value
)

Shop.create(
  name: 'Shop (Edinburgh North)',
  address: '15 1F2 Cumberland Street',
  city: 'Edinburgh',
  telephone: '0999 999 9991'
)
Shop.create(
  name: 'Shop (Edinburgh Centre)',
  address: '22 George Street',
  city: 'Edinburgh',
  telephone: '0999 999 9992'
)
Shop.create(
  name: 'Shop (Glasgow Centre)',
  address: 'Queen Street',
  city: 'Glasgow',
  telephone: '0999 999 9993'
)

PaymentType.create(
  name: 'Credit/Debit Card  -  Delivery at home',
  value: 1
)
PaymentType.create(
  name: 'Cash  -  Collect it from our shops',
  value: 2
)

product_burger = Product.create(
  name: 'Burger',
  price: '5.99',
  description: 'Desc. Burger..',
  photo: File.new("samples/images/burger.jpg"),
  status: 3,
  categories: [category_mains]
)
product_pizza = Product.create(
  name: 'Pizza',
  price: '11.91',
  description: 'Desc. Pizza..',
  photo: File.new("samples/images/pizza.jpg"),
  status: 3,
  categories: [category_mains]
)
product_carbonara = Product.create(
  name: 'Spaghetti',
  price: '6.50',
  description: 'Desc. Spaghetti Carbonara..',
  photo: File.new("samples/images/spaghetti_carbonara.jpg"),
  status: 3,
  categories: [category_mains]
)
product_lasagne = Product.create(
  name: 'Lasagne',
  price: '8.50',
  description: 'Desc. Lasagne..',
  photo: File.new("samples/images/lasagne.jpg"),
  status: 3,
  categories: [category_mains]
)
product_steak = Product.create(
  name: 'Steak',
  price: '19.91',
  description: 'Desc. Steak..',
  photo: File.new("samples/images/steak.jpg"),
  status: 2,
  categories: [category_mains]
)
product_kebab = Product.create(
  name: 'Kebab',
  price: '6.05',
  description: 'Desc. Kebab..',
  photo: File.new("samples/images/kebab.jpg"),
  status: 2,
  categories: [category_mains]
)
product_nuggets = Product.create(
  name: 'Nuggets',
  price: '3.50',
  description: 'Desc. Nuggets..',
  photo: File.new("samples/images/nuggets.jpg"),
  status: 2,
  categories: [category_starters]
)
product_cola = Product.create(
  name: 'Cola Light',
  price: '2.00',
  description: 'Desc. Cola Light..',
  photo: File.new("samples/images/cola_light.jpeg"),
  status: 1,
  categories: [category_drinks]
)
product_soft_drink = Product.create(
  name: 'Irn Bru',
  price: '2.10',
  description: 'Desc Irn Bru..',
  photo: File.new("samples/images/irn_bru.jpg"),
  status: 1,
  categories: [category_drinks]
)
product_caffe_latte = Product.create(
  name: 'Caffe Latte',
  price: '1.90',
  description: 'Desc Caffe Latte..',
  photo: File.new("samples/images/latte.jpg"),
  status: 1,
  categories: [category_drinks]
)
product_pudding = Product.create(
  name: 'Toffee Pudding',
  price: '6.25',
  description: 'Desc Toffee Pudding..',
  photo: File.new("samples/images/pudding.jpg"),
  status: 1,
  categories: [category_desserts]
)
product_soup = Product.create(
  name: 'Mushroom Soup',
  price: '2.50',
  description: 'Desc. Mushroom Soup..',
  photo: File.new("samples/images/soup.jpg"),
  status: 1,
  categories: [category_starters]
)
product_beer = Product.create(
  name: 'Beer',
  price: '3.80',
  description: 'Desc. Beer..',
  photo: File.new("samples/images/beer.jpg"),
  status: 1,
  categories: [category_drinks]
)
product_dark_beer = Product.create(
  name: 'Dark beer',
  price: '4.00',
  description: 'Desc. Dark beer..',
  photo: File.new("samples/images/dark_beer.jpg"),
  status: 1,
  categories: [category_drinks]
)
product_chocolate_cake = Product.create(
  name: 'Chocolate Cake',
  price: '4.50',
  description: 'Desc. Chocolate Cake..',
  photo: File.new("samples/images/chocolate_cake.jpg"),
  status: 1,
  categories: [category_desserts]
)
product_focaccia = Product.create(
  name: 'Focaccia',
  price: '5.00',
  description: 'Desc. Focaccia..',
  photo: File.new("samples/images/focaccia.jpg"),
  status: 2,
  categories: [category_starters]
)
product_haggis = Product.create(
  name: 'Haggis',
  price: '6.50',
  description: 'Desc. Haggis..',
  photo: File.new("samples/images/haggis.jpg"),
  status: 3,
  categories: [category_mains]
)
product_ice_cream = Product.create(
  name: 'Ice Cream',
  price: '3.50',
  description: 'Desc. Ice Cream..',
  photo: File.new("samples/images/ice_cream.jpg"),
  status: 1,
  categories: [category_desserts]
)
product_onion_rings = Product.create(
  name: 'Onion Rings',
  price: '2.20',
  description: 'Desc. Onion Rings..',
  photo: File.new("samples/images/onion_rings.jpg"),
  status: 2,
  categories: [category_starters]
)
product_panna_cotta = Product.create(
  name: 'Panna Cotta',
  price: '4.50',
  description: 'Desc. Panna Cotta..',
  photo: File.new("samples/images/panna_cotta.jpg"),
  status: 3,
  categories: [category_desserts]
)
product_tiramisu = Product.create(
  name: 'Tiramisu',
  price: '5.99',
  description: 'Desc Tiramisu..',
  photo: File.new("samples/images/tiramisu.jpg"),
  status: 2,
  categories: [category_desserts]
)

Banner.create(
  name: 'check_out_menu_1',
  link: '/menu',
  image: File.new("samples/images/banner_menu_1.jpg"),
  description: 'Check out our new menu :) !!'
)
Banner.create(
  name: 'check_out_menu_2',
  link: '/menu',
  image: File.new("samples/images/banner_menu_2.jpg"),
  description: 'Check out our new menu :) !!'
)
Banner.create(
  name: 'check_out_menu_3',
  link: '/menu',
  image: File.new("samples/images/banner_menu_3.jpg"),
  description: 'Check out our new menu :) !!'
)
Banner.create(
  name: 'check_out_menu_4',
  link: '/menu',
  image: File.new("samples/images/banner_menu_4.jpg"),
  description: 'Check out our new menu :) !!'
)
Banner.create(
  name: 'check_out_menu_5',
  link: '/menu',
  image: File.new("samples/images/banner_menu_5.jpg"),
  description: 'Check out our new menu :) !!'
)
Banner.create(
  name: 'check_out_menu_6',
  link: '/menu',
  image: File.new("samples/images/banner_menu_6.jpg"),
  description: 'Check out our new menu :) !!'
)
Banner.create(
  name: 'check_out_menu_7',
  link: '/menu',
  image: File.new("samples/images/banner_menu_7.jpg"),
  description: 'Check out our new menu :) !!'
)
Banner.create(
  name: 'check_out_menu_8',
  link: '/menu',
  image: File.new("samples/images/banner_menu_8.jpg"),
  description: 'Check out our new menu :) !!'
)
Banner.create(
  name: 'check_out_menu_9',
  link: '/menu',
  image: File.new("samples/images/banner_menu_9.jpg"),
  description: 'Check out our new menu :) !!'
)
